package com.boman.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.boman.domain.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 疫苗信息操作对象 vaccine_info_operation
 *
 * @author ruoyi
 * @date 2021-09-05
 */
public class VaccineInfoOperation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Long id;

    /**
     * 乡镇
     */
    @Excel(name = "乡镇")
    private String villageTowns;

    /**
     * 村居
     */
    @Excel(name = "村居")
    private String village;

    /**
     * 村民组（社区）
     */
    @Excel(name = "村民组", readConverterExp = "社=区")
    private String villagerGroup;

    /**
     * 户别 是否是户主 是, 否
     */
    @Excel(name = "户别")
    private String houseType;

    /**
     * 户籍地
     */
    @Excel(name = "户籍地")
    private String domicile;

    /**
     * 户籍地前端展示用 安徽省安庆市潜山市xx乡xx村xx组
     */
    private String domicileSelect;

    /**
     * 省
     */
    @Excel(name = "省")
    private String province;

    /**
     * 市
     */
    @Excel(name = "市")
    private String city;

    /**
     * 区
     */
    @Excel(name = "区")
    private String region;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String userName;

    /**
     * 性别
     */
    @Excel(name = "性别")
    private String gender;


    /**
     * 年龄
     */
    @Excel(name = "年龄")
    private Integer age;

    /**
     * 身份证号码
     */
    private String idCard;

    /**
     * 联系号码
     */
    @Excel(name = "联系号码")
    private String phoneNum;

    /**
     * 重点行业
     */
    @Excel(name = "重点行业")
    private String keyIndustries;

    /**
     * 接种情况（是/否）
     */
    @Excel(name = "接种情况", readConverterExp = "是=/否")
    private String isVaccination;

    /**
     * 疫苗名称
     */
    @Excel(name = "疫苗名称")
    private String vaccineName;

    /**
     * 疫苗名称的字典值
     */
    private String dictValue;

    /**
     * 剂次（1/2/3/加强针）
     */
    @Excel(name = "剂次", readConverterExp = "1=/2/3/加强针")
    private String jici;

    /**
     * 接种时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "接种时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vaccinationTime;

    /**
     * 下次应接种时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "下次应接种时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date vaccinationTimeNext;

    /**
     * 接种地点
     */
    @Excel(name = "接种地点")
    private String vaccinationPlace;

    /**
     * 禁忌症
     */
    @Excel(name = "禁忌症")
    private String contraindication;

    /**
     * 暂缓
     */
    @Excel(name = "暂缓")
    private String suspend;


    /**
     * 应种未种
     */
    @Excel(name = "应种未种")
    private String shouldBe;

    /**
     * 其他
     */
    @Excel(name = "其他")
    private String other;

    /**
     * 进度
     */
    @Excel(name = "进度")
    private String progress;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private String status;

    /**
     * 是否删除
     */
    @Excel(name = "是否删除")
    private String isDel;

    /**
     * 操作类型
     */
    @Excel(name = "操作类型")
    private String operationType;
    private String yhzgx;

    /**
     * 疫苗信息
     */
    @Excel(name = "疫苗信息")
    private Long vaccineInfoId;
    /** 编号 */
    private String code;
    /** 出生日期 */
    private String birthday;
    /** 工作单位 */
    private String workUnit;
    /** 人群分类 */
    private String crowdClassification;

    /** 生产厂家 */
    private String manufacturer;
    /** 現在居住地址 */
    private String nowIn;

    /**
     * 現在居住地址查询展示 安徽省安庆市潜山市xx乡xx村xx组
     */
    private String nowInSelect;
    /**
     * 附件地址
     */
    private String url;

    /** 暂缓接种附件 */
    private String suspendUrl;

    /** 暂缓接种附件 */
    private String otherUrl;

    /**
     * 应续未续
     */
    private String shouldSlow;

    /**
     * 用户接种疫苗信息集合
     */
    private List<VaccineInfoUser> vaccineInfoUserList;

    /**
     * 查询用的身份证集合
     */
    private List<String> idCardS;
    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 部门id集合
     */
    private List<Long> deptIdList;

    /** true已认领，false未认领**/
    private Boolean ryrl;

    private String deleteReason;

    /** 户籍地的镇 **/
    private String residenceTown;
    /** 户籍地的村 **/
    private String residenceVillage;


    /**
     * 检索开始时间
     */
//    @JSONField(format = "yyyy-MM-dd HH:mm")
    private String startTime;

    /**
     * 检索结束时间
     */
//    @JSONField(format = "yyyy-MM-dd HH:mm")
    private String endTime;

    /** 认领人***/
    private String rlr;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public String getYhzgx() {
        return yhzgx;
    }

    public void setYhzgx(String yhzgx) {
        this.yhzgx = yhzgx;
    }

    public String getRlr() {
        return rlr;
    }

    public void setRlr(String rlr) {
        this.rlr = rlr;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getDeleteReason() {
        return deleteReason;
    }

    public void setDeleteReason(String deleteReason) {
        this.deleteReason = deleteReason;
    }

    public Boolean isRyrl() {
        return ryrl;
    }

    public void setRyrl(Boolean ryrl) {
        this.ryrl = ryrl;
    }

    public List<Long> getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(List<Long> deptIdList) {
        this.deptIdList = deptIdList;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getSuspendUrl() {
        return suspendUrl;
    }

    public void setSuspendUrl(String suspendUrl) {
        this.suspendUrl = suspendUrl;
    }

    public String getOtherUrl() {
        return otherUrl;
    }

    public void setOtherUrl(String otherUrl) {
        this.otherUrl = otherUrl;
    }

    public Date getVaccinationTimeNext() {
        return vaccinationTimeNext;
    }

    public void setVaccinationTimeNext(Date vaccinationTimeNext) {
        this.vaccinationTimeNext = vaccinationTimeNext;
    }

    public String getDomicileSelect() {
        return domicileSelect;
    }

    public void setDomicileSelect(String domicileSelect) {
        this.domicileSelect = domicileSelect;
    }

    public String getNowInSelect() {
        return nowInSelect;
    }

    public void setNowInSelect(String nowInSelect) {
        this.nowInSelect = nowInSelect;
    }

    public List<String> getIdCardS() {
        return idCardS;
    }

    public void setIdCardS(List<String> idCardS) {
        this.idCardS = idCardS;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public List<VaccineInfoUser> getVaccineInfoUserList() {
        return vaccineInfoUserList;
    }

    public void setVaccineInfoUserList(List<VaccineInfoUser> vaccineInfoUserList) {
        this.vaccineInfoUserList = vaccineInfoUserList;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setVillageTowns(String villageTowns) {
        this.villageTowns = villageTowns;
    }

    public String getVillageTowns() {
        return villageTowns;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getVillage() {
        return village;
    }

    public void setVillagerGroup(String villagerGroup) {
        this.villagerGroup = villagerGroup;
    }

    public String getVillagerGroup() {
        return villagerGroup;
    }

    public void setHouseType(String houseType) {
        this.houseType = houseType;
    }

    public String getHouseType() {
        return houseType;
    }

    public void setDomicile(String domicile) {
        this.domicile = domicile;
    }

    public String getDomicile() {
        return domicile;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getProvince() {
        return province;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCity() {
        return city;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getGender() {
        return gender;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setKeyIndustries(String keyIndustries) {
        this.keyIndustries = keyIndustries;
    }

    public String getKeyIndustries() {
        return keyIndustries;
    }

    public void setIsVaccination(String isVaccination) {
        this.isVaccination = isVaccination;
    }

    public String getIsVaccination() {
        return isVaccination;
    }

    public void setVaccineName(String vaccineName) {
        this.vaccineName = vaccineName;
    }

    public String getVaccineName() {
        return vaccineName;
    }

    public void setJici(String jici) {
        this.jici = jici;
    }

    public String getJici() {
        return jici;
    }

    public void setVaccinationTime(Date vaccinationTime) {
        this.vaccinationTime = vaccinationTime;
    }

    public Date getVaccinationTime() {
        return vaccinationTime;
    }

    public void setVaccinationPlace(String vaccinationPlace) {
        this.vaccinationPlace = vaccinationPlace;
    }

    public String getVaccinationPlace() {
        return vaccinationPlace;
    }

    public void setContraindication(String contraindication) {
        this.contraindication = contraindication;
    }

    public String getContraindication() {
        return contraindication;
    }

    public void setSuspend(String suspend) {
        this.suspend = suspend;
    }

    public String getSuspend() {
        return suspend;
    }


    public void setShouldBe(String shouldBe) {
        this.shouldBe = shouldBe;
    }

    public String getShouldBe() {
        return shouldBe;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getOther() {
        return other;
    }

    public void setProgress(String progress) {
        this.progress = progress;
    }

    public String getProgress() {
        return progress;
    }

    public String getShouldSlow() {
        return shouldSlow;
    }

    public void setShouldSlow(String shouldSlow) {
        this.shouldSlow = shouldSlow;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setOperationType(String operationType) {
        this.operationType = operationType;
    }

    public String getOperationType() {
        return operationType;
    }

    public void setVaccineInfoId(Long vaccineInfoId) {
        this.vaccineInfoId = vaccineInfoId;
    }

    public Long getVaccineInfoId() {
        return vaccineInfoId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit;
    }

    public String getCrowdClassification() {
        return crowdClassification;
    }

    public void setCrowdClassification(String crowdClassification) {
        this.crowdClassification = crowdClassification;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public String getNowIn() {
        return nowIn;
    }

    public void setNowIn(String nowIn) {
        this.nowIn = nowIn;
    }

    public String getResidenceTown() {
        return residenceTown;
    }

    public void setResidenceTown(String residenceTown) {
        this.residenceTown = residenceTown;
    }

    public String getResidenceVillage() {
        return residenceVillage;
    }

    public void setResidenceVillage(String residenceVillage) {
        this.residenceVillage = residenceVillage;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
